org.apache.tamaya.events

## Enum ChangeType

- java.lang.Object
- - java.lang.Enum<ChangeType>
  - - org.apache.tamaya.events.ChangeType

- All Implemented Interfaces:
    Serializable, Comparable<ChangeType>

      public enum ChangeType
      extends Enum<ChangeType>

  Enum describing the type of configuration change.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETED` Configuration hase been removed.
    `NEW` Configuration hase been added.
    `UPDATED` Configuration hase been changed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChangeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final ChangeType NEW

      Configuration hase been added.

    - #### DELETED

          public static final ChangeType DELETED

      Configuration hase been removed.

    - #### UPDATED

          public static final ChangeType UPDATED

      Configuration hase been changed.

  - ### Method Detail

    - #### values

          public static ChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChangeType c : ChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChangeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.